CREATE SCHEMA realdb_benchmark;

CREATE TABLE realdb_benchmark.FloatData (
  streamId INTEGER NOT NULL,
  time BIGINT NOT NULL,
  value FLOAT NOT NULL,
  discontinuity CHAR(1) NOT NULL,
  PRIMARY KEY (streamId, time)
);
CREATE INDEX FloatData_Time ON realdb_benchmark.FloatData(time);

CREATE TABLE realdb_benchmark.BooleanData (
  streamId INTEGER NOT NULL,
  time BIGINT NOT NULL,
  value CHAR(1) NOT NULL,
  discontinuity CHAR(1) NOT NULL,
  PRIMARY KEY (streamId, time)
);
CREATE INDEX BooleanData_Time ON realdb_benchmark.BooleanData(time);

SET CURRENT SCHEMA realdb_benchmark;
